it-swarm.com.de

Aktualisieren Sie Joomla von 2.5.28 auf 3.4.0

Ich muss meine Joomla-Website mit der aktuellen Version 2.5.28 aktualisieren. Jetzt versuche ich es so zu aktualisieren:

  • Ich benutze XAMPP als Serverumgebung (PHP 5.4, MySQL 5.6)
  • Verwenden Sie eine Sicherungskopie meiner Website
  • Verwenden Sie auch eine stabile Version von Joomla 2.5.28

Ich habe versucht, mit beiden Sites zu aktualisieren, der stabilen und meiner, aber jedes Mal, wenn ich Fehler erhalte.

Wenn ich meine Website aktualisieren möchte, mache ich Folgendes:

  • suche nach Updates und aktualisiere alle Dinge mit Ausnahme der JSN-Luftvorlage
  • gehe zu joomla update, klicke rechts auf options und wähle short time support, speichere und schließe
  • klicken Sie auf die Schaltfläche "Aktualisieren"

Mit der stabilen Seite mache ich fast dasselbe:

  • gehe zu joomla update, klicke rechts auf options und wähle short time support, speichere und schließe
  • klicken Sie auf die Schaltfläche "Aktualisieren"

Ich habe oben gesagt, dass ich Fehler bekomme. Wenn ich den Stable aktualisieren möchte, erhalte ich die folgenden Ergebnisse/Fehler:

nach dem vollständigen Update (100%) erhalte ich eine weiße Seite mit einer URL wie " http: //localhost/stable/administrator/index.php? option = com_joomlaupdate & task = update.finalise "

wenn ich die Seite neu lade, nachdem ich die weiße Seite erhalten habe, erhalte ich eine Fehlermeldung wie "Kann 'Benutzertyp' nicht FALLEN; Überprüfen Sie, ob Spalte/Schlüssel vorhanden sind. SQL = ALTER TABLE bcyqr_users DROP KEY usertype;"

wenn ich die Seite erneut lade, wird die Fehlermeldung "Tabelle 'stable.bcyqr_postinstall_messages' existiert nicht SQL = VOLLSTÄNDIGE SPALTEN VON bcyqr_postinstall_messages ANZEIGEN" angezeigt. Was ist passiert?

Ich finde es seltsam, dass es mit den normalen Joomla-Einstellungen nicht funktioniert. Auf youtube habe ich Videos gesehen, in denen die Leute genau die Schritte gemacht haben, die ich auch gemacht habe.

Und mit meiner Seite bekomme ich folgende Fehler:

  • 18 mal: Verwendung der undefinierten Konstante DS - angenommene 'DS' in C:\xampp\htdocs\mysite\administrator\components\com_poweradmin\define.poweradmin.php
  • 1 Mal: ​​Klasse 'JSNConfigHelper' nicht in C:\xampp\htdocs\mysite\plugins\system\jsnpoweradmin\jsnpoweradmin.php gefunden

Ich habe diesen Fehler gegoogelt und diese Erweiterung verwendet: http://digitaldisseny.com/de/joomla-extensions/solve-undefined-ds-constant-joomla-3-error

Aber dann konnte ich die Joomla nicht aktualisieren. Ich erhalte einen Popup-Dialog mit der Meldung "Ungültige Anmeldung".

Ich weiß nicht, was ich tun soll, um das Joomla zu aktualisieren. Können Sie mir helfen? Was ich falsch mache?

Vielen Dank.

3
user3846

Ein paar Dinge, die Sie ausprobieren sollten:

  1. Deaktivieren Sie das Plugin "System - Remember Me", bevor Sie den Aktualisierungsschritt ausführen (und aktivieren Sie es nach erfolgreicher Aktualisierung erneut). Es ist nicht klar, ob Sie diesen Schritt noch ausführen müssen (siehe Antworten zu Immer noch erforderlich, um Remember me zu deaktivieren, wenn Sie von 2.5 auf 3.x migrieren? ), aber es wird keinen Schaden anrichten.

  2. Die wahrscheinlichste Ursache ist eine Erweiterung, die nicht mit Joomla 3.x kompatibel ist. Stellen Sie sicher, dass alle Erweiterungen von Drittanbietern auf die neuesten Versionen aktualisiert wurden und Joomla 3.x-kompatibel sind, bevor Sie den Aktualisierungsschritt ausführen.

Wenn das Update immer noch nicht funktioniert, empfehle ich, so viele Erweiterungen von Drittanbietern wie möglich vor dem Update zu entfernen. Dies gilt insbesondere für Erweiterungen, die problemlos neu installiert werden können, ohne dass die zugehörigen Daten verloren gehen oder bei denen Sie viel Zeit für die Neukonfiguration von Einstellungen usw. aufwenden müssen.

2
Neil Robertson

Ich habe es gerade vor einer Woche gemacht.

deaktivieren Sie ALLE Plugins/Module/Erweiterungen/Komponenten etc

laden Sie anschließend alle Joomla 3.4-Dateien über FTP in das Stammverzeichnis Ihrer Website hoch.

1
polki